Skip to main content

Funding Campaigns

Overview

In order to advertise your jobs on Talroo's platform with a Campaign, you must provide funding for your Campaigns. Below are the different ways you can fund your Campaign.

note

All billing is on a calendar month basis.

Monthly Budgets

The first option to fund a Campaign is with a monthly budget. This budget is set at the Campaign level and will apply to the current and all future months so long as the Campaign is not paused or archived. If a Campaign spends its monthly budget one month and moves to the OUT_OF_BUDGET status, the Campaign will automatically restart itself at the start of the next month with the previously set monthly budget. Monthly budgets can be increased at any time. An Out of Budget Campaign that has its monthly budget increased will automatically be pushed live again.

The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (id:12345) to have a monthlyBudget of $10,000:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"monthlyBudget": 10000
}'

One Time Budgets

You also have the option of adding One Time Budgets to Campaigns if you would like to add a budget that does not reoccur every month. One Time Budgets can be used in addition to Monthly Budgets or can be used as the sole source of funding for a Campaign. One Time Budgets are their own entity and have their own set of One Time Budgets endpoints for management.

Campaign Budget Pacing

Talroo's system can also pace a Campaign's budget to a desired date within the current calendar month. Our system will do this by attempting to spend the total budget available to the campaign, as seen in jobCampaigns.totalBudgetDollars, evenly over the remaining days until the input pacing day of the month as seen in jobCampaigns.pacingDom.

To turn budget pacing on, you should update your jobCampaigns.budgetPacing to be true, and set your desired pacing day of the month (i.e. if pacing to the 25th, a value of 25 would be used) in the jobCampaign.pacingDom field.

The following example request to the PATCH /campaigns/{campaignId} endpoint would update a Job Campaign (id:12345) to utilize budget pacing with a pacing date of the 25th of the current month:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/12345' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"budgetPacing": true,
"pacingDom": 25
}'